<?xml version="1.0" encoding="UTF-8"?>
<!--
IGAC proyecto SNC

@author felipe.cadena
@version 1.0
@description Carga de ficha matriz
@cu CU-XXX-Carga ficha matriz

-->
<!DOCTYPE html>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Cargue de información ficha matriz::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog2.show();"
                      onsuccess="statusDialog2.hide();"
                      onerror="alert('Error AJAX en la aplicación');" />

        <p:messages id="msgsCIS" showDetail="false" globalOnly="false" />

        <p:panel header="Cargue de información al sistema">
            <p:spacer height="20" width="0" />
            <h:form id="cargueFichasForm">

                <h:panelGrid columns="2" style="width:100%">

                    <h:outputLabel value="Nombre ejecutor:"
                                   styleClass="outputLabelStyle" />

                    <h:outputText value="#{cargaFichaMatriz.usuario.nombreCompleto}"
                                  styleClass="outputTextStyle"/>

                    <h:outputLabel value="Territorial:"
                                   styleClass="outputLabelStyle" />

                    <h:outputText value="#{cargaFichaMatriz.usuario.descripcionEstructuraOrganizacional}"
                                  styleClass="outputTextStyle"/>

                </h:panelGrid>
                <h:panelGrid columns="1" style="width:100%">



                    <p:dataTable id="fichasDT" 
                                 value="#{cargaFichaMatriz.listaFichaMatriz}"
                                 var="ficha" widgetVar="cargueInfoTramiteDTWV"
                                 rowKey="#{ficha.id}" paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                                 emptyMessage="No se encontraron fichas creadas">



                        <f:facet name="header">
                            Fichas cargadas
                        </f:facet>

                        <p:column headerText="Opciones" >
                            <p:commandButton process="@this" update=":gestionarFichaMatrizForm"
                                             id="editarFichaBtn" oncomplete="detalleFichaWV.show();"
                                             action="#{cargaFichaMatriz.cargarFichaSeleccionada}"
                                             icon="ui-icon ui-icon-pencil" title="Editar">
                                <f:setPropertyActionListener value="#{ficha}"
                                                             target="#{cargaFichaMatriz.fichaMatriz}" />
                            </p:commandButton>
                            <p:commandButton process="@this"
                                             id="eliminarFichaBtn" update=":cargueFichasForm"
                                             onclick="confirmaEliminarFichaWV.show();"
                                             icon="ui-icon ui-icon-trash" title="Eliminar">
                                <f:setPropertyActionListener value="#{ficha}"
                                                             target="#{cargaFichaMatriz.fichaMatriz}" />
                            </p:commandButton>
                            <p:commandButton process="@this" rendered="false"
                                             id="verFichaBtn"
                                             icon="ui-icon ui-icon-search" title="Ver">
                                <f:setPropertyActionListener value="#{ficha}"
                                                             target="#{cargaFichaMatriz.fichaMatriz}" />
                            </p:commandButton>
                        </p:column>


                        <p:column headerText="Departamento">
                            <h:outputText value="#{ficha.PPredio.departamento.nombre}" 
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                        <p:column headerText="Municipio">
                            <h:outputText value="#{ficha.PPredio.municipio.nombre}" 
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                        <p:column headerText="Ficha matriz">
                            <h:outputText value="#{ficha.PPredio.numeroPredial}" 
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                    </p:dataTable>

                </h:panelGrid>

                <p:spacer height="30" width="0" />

                <p:outputPanel layout="block" style="text-align: center">
                    <h:panelGrid columns="7">
                        <p:commandButton value="Nueva ficha matriz"
                                         onclick="buscarFichaWV.show();"
                                         id="nuevaFichaBtn" update=":consultaFichaForm"
                                         icon="ui-icon-plusthick" title="Nueva ficha">
                            <f:setPropertyActionListener value="false"
                                                         target="#{cargaFichaMatriz.activarCreacion}" />
                        </p:commandButton>

                    </h:panelGrid>

                    <p:separator style="width:925px;height:3px" />
                    <p:spacer height="7" width="0" />
                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Cerrar" update="msgsCIS"

                                         icon="ui-icon-circle-close" immediate="true" process="@this"
                                         action="#{cargaFichaMatriz.cerrar}" ajax="false" />
                        <p:spacer height="0" width="30" />
                    </p:outputPanel>

                </p:outputPanel>

            </h:form>
        </p:panel>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Esta seguro de eliminar la ficha matriz?"
            confirmUpdateOnYes=":cargueFichasForm:fichasDT" 
            confirmDialogWV="confirmaEliminarFichaWV"
            voidActionOnYes="#{cargaFichaMatriz.eliminarFicha}"
            yesLabel="Aceptar" noLabel="Cancelar" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="Una vez finalizada la edición la información de la ficha matriz no podra modificarse"
            confirmUpdateOnYes=":cargueFichasForm" 
            confirmDialogWV="confirmaFinalizarFichaWV"
            voidActionOnYes="#{cargaFichaMatriz.aplicarFichaProyectada}"
            yesLabel="Aceptar" noLabel="Cancelar" />
        <misc:confirmationWithConfirmDialogCC
            confirmMessage="¿Está seguro de eliminar/cancelar la unidad?"
            confirmUpdate=":gestionarFichaMatrizForm, :gestionarFichaMatrizForm:panelAreasFM"
            confirmAction="#{cargaFichaMatriz.cancelarPUnidadConstruccionFichaMatriz}"
            confirmDialogWV="confirmEliminarUnidadFichaMatrizWV" />


        <p:dialog header="Detalle ficha matriz" dynamic="true" 
                  widgetVar="detalleFichaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="600" width="800">
            <ui:include src="/conservacion/detalleCargaFichaMatriz.xhtml">

            </ui:include>
        </p:dialog>

        <p:dialog header="Buscar ficha matriz" dynamic="true" 
                  widgetVar="buscarFichaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="200" width="600">
            <ui:include src="/conservacion/buscarFicha.xhtml">

            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de matrícula inmobiliaria" dynamic="true"
                  widgetVar="detalleRegistroWV" hideEffect="explode"
                  appendToBody="true">
            <p:ajax event="close"
                    update=":gestionarFichaMatrizForm:matriculaInmobiliariaFichaMatrizPanelGrid" />
            <ui:include src="detalleRegistroFichaMatriz.xhtml"
                        id="detalleRegistroFichaMatrizModal">
                <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la dirección" dynamic="true"
                  widgetVar="detalleDireccionWV" hideEffect="explode" width="500"
                  appendToBody="true">
            <p:ajax event="close"
                    update=":gestionarFichaMatrizForm:tablaPredioDireccionesFichaMatriz" />
            <ui:include src="detalleDireccionFicha.xhtml" id="detalleDireccionModal">
                <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de unidad de construcción" dynamic="true"
                  widgetVar="detalleUnidadConstruccionWV" resizable="true"
                  showEffect="fade" maximizable="true" hideEffect="explode"
                  modal="true" height="500" width="960" appendToBody="true"
                  id="detalleUnidadConstruccion">
            <ui:include src="/conservacion/detalleUCCargaFicha.xhtml">
                <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />
            </ui:include>

            <p:ajax event="close" listener="#{cargaFichaMatriz.cerrarGestionDetallesUC}" />
        </p:dialog>

        <p:dialog header="Coeficiente de copropiedad" dynamic="true" modal="true"
                  widgetVar="coeficienteCopropiedadWV" appendToBody="true"
                  hideEffect="explode">
            <h:form id="coeficienteCopropiedadFichaMatrizForm">
                <center>
                    <h:panelGrid columns="1" cellspacing="5" cellpadding="5">

                        <p:inputText
                            value="#{cargaFichaMatriz.coeficienteCopropiedad}" style="width:60px;"
                            id="coeficienteCopropiedad" label="Coeficiente de copropiedad">
                            <f:convertNumber type="number" groupingUsed="true"
                                             minFractionDigits="6" pattern="#0.000000" />
                        </p:inputText>
                        <p:watermark for="coeficienteCopropiedad" value="0.000000" />  
                        <p:commandButton value="Aceptar" id="aceptarCoeficienteBtn"
                                         update=":cargueFichasForm, :gestionarFichaMatrizForm:msgCoeficientes, :gestionarFichaMatrizForm:tablaNumerosPredialesResultantes" 
                                         ajax="true"
                                         action="#{cargaFichaMatriz.asignarCoeficientes}" icon="ui-icon-check"
                                         oncomplete="coeficienteCopropiedadWV.hide();">
                        </p:commandButton>

                    </h:panelGrid>
                </center>
            </h:form>
        </p:dialog>
        <p:dialog header="Gestionar fotografías" closable="true"
                  styleClass="autoWidthDialog" widgetVar="gestionarFotografiasWV2"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="400" width="600" >
            <p:ajax event="close"
                    update=":detalleUnidadConstrForm:panelConstrucciones" />
            <ui:include src="/conservacion/gestionFotosCargaFicha.xhtml">
                <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />

            </ui:include>
        </p:dialog>

        <p:dialog id="confirmation" appendToBody="true" showEffect="bounce"
                  header="Confirmación de la carga" modal="true"
                  styleClass="autoWidthDialog" hideEffect="explode" width="200"
                  widgetVar="confirmationWV" resizable="false">
            <ui:include src="/conservacion/confirmaCargaFotoFM.xhtml">
                <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />
            </ui:include>      
        </p:dialog>

        <misc:confirmationWithConfirmDialogCC
            confirmMessage="¿Está seguro de eliminar la dirección?"
            confirmUpdate=":gestionarFichaMatrizForm:tablaPredioDireccionesFichaMatriz"
            confirmAction="#{cargaFichaMatriz.eliminarDireccion}"
            confirmDialogWV="confirmEliminarDireccionWV" />

        <p:dialog widgetVar="datosTorreWV" header="Datos de la torre"
                  dynamic="true" modal="true" appendToBody="true" width="620">
            <h:form id="datosTorreForm">
                <ui:include src="/conservacion/datosTorreFM.xhtml">

                    <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />
                </ui:include>
            </h:form>
        </p:dialog>

        <p:dialog widgetVar="multiplicarTorreWV" header="Multiplicar torre"
                  dynamic="true" modal="true"
                  appendToBody="true">
            <h:form id="multiplicarTorreForm">
                <ui:include src="multiplicarTorreFM.xhtml">

                    <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />
                </ui:include>
            </h:form>
        </p:dialog>

        <misc:confirmationWithConfirmDialogCC
            confirmMessage="¿Está seguro de eliminar la torre seleccionada?"
            confirmUpdate=":gestionarFichaMatrizForm:generalidadesPropiedadHorizontalPanelGrid"
            confirmAction="#{cargaFichaMatriz.eliminarTorre}"
            confirmDialogWV="confirmaEliminarTorreWV" />

        <p:dialog widgetVar="datosZonaWV" header="Nueva zona"
                  dynamic="true" modal="true"
                  appendToBody="true">
            <h:form id="detalleZonaForm">
                <ui:include src="detalleZonaFM.xhtml">

                    <ui:param name="managedBeanParam" value="#{cargaFichaMatriz}" />
                </ui:include>
            </h:form>
        </p:dialog>
    </ui:define>

</ui:composition>